function love.load()
	require("lib.Frames")
	
	button_circles = loveframes.Create("button")
	button_circles:SetWidth(200)
	button_circles:SetText("Toggle Lines")
	button_circles.x = 20
	button_circles.y = 20
	
	circles = false
		
	button_circles.OnClick = function ()
		circles = not circles
		button_circles:SetText("test")
	end

	love.window.setMode(1280, 800)
	math.randomseed(os.time())
	math.random(); math.random(); math.random()
	
	planet = {}
	t = 0
	
	--planets
	planet.number = math.random(10)
	sun = {}
	sun.radius = math.random(30, 50)
	sun.x = 1280/2
	sun.y = 800/2
	
	for i = 1, planet.number do
		planet[i] = {}
		planet[i].radius = math.random(5, sun.radius * 0.5)
		if i == 1 then
			planet[i].distance = math.random(sun.radius + planet[i].radius + 20, i*100)
		else
			planet[i].distance = math.random(planet[i - 1].distance + planet[i].radius + 20, i*75)
		end
		
		planet[i].T = math.pow(planet[i].distance, 3/2) * 10
		planet[i].t = t + math.random(100000)
		
		planet[i].x = sun.x + planet[i].distance*math.sin(2*math.pi/planet[i].T)
		planet[i].y = sun.y + planet[i].distance*math.cos(2*math.pi/planet[i].T)
	end
	
	
	
end

function love.update()	
	for i = 1, planet.number do
		planet[i].t = planet[i].t + 1
		planet[i].x = sun.x + planet[i].distance*math.sin(2*math.pi*planet[i].t/planet[i].T)
		planet[i].y = sun.y + planet[i].distance*math.cos(2*math.pi*planet[i].t/planet[i].T)
	end
	
	loveframes.update()
end

function love.draw()
	love.graphics.circle("fill", sun.x, sun.y, sun.radius)
	for i = 1, planet.number do
		love.graphics.circle("fill", planet[i].x, planet[i].y, planet[i].radius)
		if circles then
			love.graphics.circle("line", sun.x, sun.y, planet[i].distance)
		end
	end
	loveframes.draw()
end
